
//  File:     stats.h
//  Author:   Chuck Stewart
//  Purpose:  Statistics function declarations, including functions to
//    compute the average and standard deviation, the median, and the
//    mode.  These all work with integer valued vectors, which is a
//    limitation. 

#ifndef stats_h_
#define stats_h_

//  Need to include this file to ensure that the compiler knows what
//  vectors are.

#include <vector>

void avg_and_stddev( const std::vector<int>& values,
                     double& average, double& stddev);
double compute_median( std::vector<int> values );
int compute_mode( std::vector<int> values );

#endif

